*SAS Example;
data examscores (type=corr);
input _type_ $ _name_ $ gaelic english history arith algebra geometry;
cards;
n . 220 . . . . .
corr gaelic 1.00 . . . . .
corr english .439 1.00 . . . .
corr history .410 .351 1.00 . . .
corr arith .288 .354 .164 1.00 . .
corr algebra .329 .320 .190 .595 1.00 .
corr geometry .248 .329 .181 .470 .464 1.00
;
run;

proc calis data=examscores residual;
lineqs 
 gaelic = lambda11 f1 + e1,
 english = lambda21 f1 + e2,
 history = lambda31 f1 + e3,
 arith = lambda42 f2 + e4,
 algebra = lambda52 f2 + e5,
 geometry = lambda62 f2 + e6;
std
 f1=1,
 f2=1,
 e1-e6=psi1-psi6;
cov 
 f1 f2=phi1;
run;
