PROC IMPORT OUT= WORK.gri 
            DATAFILE= "C:\Documents and Settings\jtemplin\Desktop\New Folder\gridata_f05_s06.xls" 
            DBMS=EXCEL REPLACE;
     SHEET="data$"; 
     GETNAMES=YES;
     MIXED=NO;
     SCANTEXT=YES;
     USEDATE=YES;
     SCANTIME=YES;
RUN;
title 'spearman one-factor model';
ods trace on/listing;
proc calis cov method=uls residual data=gri;
lineqs 
  gri1=lambda1 f1 + e1,
  gri2=lambda2 f1 + e2,
  gri3=lambda3 f1 + e3,
  gri4=lambda4 f1 + e4,
  gri5=lambda5 f1 + e5,
  gri6=lambda6 f1 + e6,
  gri7=lambda7 f1 + e7,
  gri8=lambda8 f1 + e8,
  gri9=lambda9 f1 + e9,
  gri10=lambda10 f1 + e10,
  gri11=lambda11 f1 + e11,
  gri12=lambda12 f1 + e12,
  gri13=lambda13 f1 + e13,
  gri14=lambda14 f1 + e14,
  gri15=lambda15 f1 + e15,
  gri16=lambda16 f1 + e16,
  gri17=lambda17 f1 + e17,
  gri18=lambda18 f1 + e18,
  gri19=lambda19 f1 + e19,
  gri20=lambda20 f1 + e20,
  gri21=lambda21 f1 + e21,
  gri22=lambda22 f1 + e22,
  gri23=lambda23 f1 + e23,
  gri24=lambda24 f1 + e24,
  gri25=lambda25 f1 + e25,
  gri26=lambda26 f1 + e26,
  gri27=lambda27 f1 + e27,
  gri28=lambda28 f1 + e28,
  gri29=lambda29 f1 + e29,
  gri30=lambda30 f1 + e30,
  gri31=lambda31 f1 + e31,
  gri32=lambda32 f1 + e32,
  gri33=lambda33 f1 + e33,
  gri34=lambda34 f1 + e34,
  gri35=lambda35 f1 + e35,
  gri36=lambda36 f1 + e36,
  gri37=lambda37 f1 + e37,
  gri38=lambda38 f1 + e38,
  gri39=lambda39 f1 + e39,
  gri40=lambda40 f1 + e40,
  gri41=lambda41 f1 + e41; 
std
  f1=1,
  e1-e41=psi1-psi41;
ods output EstManifestEq=lambda EstVarExog=psi;
run;

data lambda;
set lambda;
lambda=coefficient1;
if equals~="=" then delete;
run;

data psi;
set psi;
if estimate=1 then delete;
psi=estimate;
run;

data lambdapsi;
set lambda (keep=lambda);
merge psi (keep=psi);
information=lambda**2 / psi;
run;

proc means sum data=lambdapsi;
run;

proc corr data=gri alpha;
var gri1-gri41;
run;

proc calis cov method=uls residual data=gri;
lineqs 
  gri25=lambda25 f1 + e25,
  gri26=lambda26 f1 + e26,
  gri27=lambda27 f1 + e27,
  gri28=lambda28 f1 + e28,
  gri29=lambda29 f1 + e29,
  gri30=lambda30 f1 + e30,
  gri31=lambda31 f1 + e31,
  gri32=lambda32 f1 + e32,
  gri33=lambda33 f1 + e33,
  gri34=lambda34 f1 + e34,
  gri35=lambda35 f1 + e35,
  gri36=lambda36 f1 + e36,
  gri37=lambda37 f1 + e37,
  gri38=lambda38 f1 + e38,
  gri39=lambda39 f1 + e39,
  gri40=lambda40 f1 + e40,
  gri41=lambda41 f1 + e41; 
std
  f1=1,
  e25-e41=psi25-psi41;
ods output EstManifestEq=lambda EstVarExog=psi;
run;

data lambda;
set lambda;
lambda=coefficient1;
if equals~="=" then delete;
run;

data psi;
set psi;
if estimate=1 then delete;
psi=estimate;
run;

data lambdapsi;
set lambda (keep=lambda);
merge psi (keep=psi);
information=lambda**2 / psi;
run;

proc means sum data=lambdapsi;
run;

proc corr data=gri alpha;
var gri25-gri41;
run;

proc calis cov method=uls residual data=gri;
lineqs 
  gri1=lambda1 f1 + e1,
  gri2=lambda2 f1 + e2,
  gri3=lambda3 f1 + e3,
  gri4=lambda4 f1 + e4,
  gri5=lambda5 f1 + e5,
  gri6=lambda6 f1 + e6,
  gri7=lambda7 f1 + e7,
  gri8=lambda8 f1 + e8,
  gri9=lambda9 f1 + e9,
  gri10=lambda10 f1 + e10,
  gri11=lambda11 f1 + e11,
  gri12=lambda12 f1 + e12,
  gri13=lambda13 f1 + e13,
  gri14=lambda14 f1 + e14,
  gri15=lambda15 f1 + e15,
  gri16=lambda16 f1 + e16,
  gri17=lambda17 f1 + e17,
  gri18=lambda18 f1 + e18,
  gri19=lambda19 f1 + e19,
  gri20=lambda20 f1 + e20,
  gri21=lambda21 f1 + e21,
  gri22=lambda22 f1 + e22,
  gri23=lambda23 f1 + e23,
  gri24=lambda24 f1 + e24; 
std
  f1=1,
  e1-e24=psi1-psi24;
ods output EstManifestEq=lambda EstVarExog=psi;
run;

data lambda;
set lambda;
lambda=coefficient1;
if equals~="=" then delete;
run;

data psi;
set psi;
if estimate=1 then delete;
psi=estimate;
run;

data lambdapsi;
set lambda (keep=lambda);
merge psi (keep=psi);
information=lambda**2 / psi;
run;

proc freq data=gri;
table gri13 gri14 gri13*gri14;
run;

proc means sum data=lambdapsi;
run;

proc corr data=gri alpha;
var gri25-gri41;
run;
proc calis cov method=uls residual data=gri;
lineqs 
  gri1=lambda1 f1 + e1,
  gri2=lambda2 f1 + e2,
  gri3=lambda3 f1 + e3,
  gri5=lambda5 f1 + e5,
  gri6=lambda6 f1 + e6,
  gri7=lambda7 f1 + e7,
  gri8=lambda8 f1 + e8,
  gri9=lambda9 f1 + e9,
  gri10=lambda10 f1 + e10,
  gri11=lambda11 f1 + e11,
  gri15=lambda15 f1 + e15,
  gri16=lambda16 f1 + e16,
  gri17=lambda17 f1 + e17,
  gri18=lambda18 f1 + e18,
  gri19=lambda19 f1 + e19,
  gri21=lambda21 f1 + e21,
  gri22=lambda22 f1 + e22,
  gri23=lambda23 f1 + e23,
  gri24=lambda24 f1 + e24; 
std
  f1=1,
  e1-e3=psi1-psi3,
  e5-e11=psi5-psi11,
  e15-e19=psi15-psi19,
  e21-e24=psi21-psi24;
ods output EstManifestEq=lambda EstVarExog=psi;
run;
